{
  "version": "3.33.2",
  "repository": {
    "type": "git",
    "url": "https://github.com/zloirock/core-js.git"
  },
  "license": "MIT",
  "author": {
    "name": "Denis Pushkarev",
    "email": "zloirock@zloirock.ru",
    "url": "http://zloirock.ru"
  },
  "workspaces": [
    "./packages/*"
  ],
  "scripts": {
    "zxi": "zx scripts/zxi.mjs",
    "prepare": "npm run zxi scripts/prepare.mjs",
    "build-compat": "zx scripts/build-compat/index.mjs",
    "bundle": "run-s bundle-package bundle-tests",
    "bundle-package": "npm run zxi time scripts/bundle-package/bundle-package.mjs",
    "bundle-tests": "npm run zxi time cd scripts/bundle-tests/bundle-tests.mjs",
    "check": "run-s check-v8-protectors check-unused-modules check-mapping check-dependencies",
    "check-dependencies": "npm run zxi time scripts/check-dependencies/check-dependencies.mjs",
    "check-mapping": "npm run zxi time scripts/check-compat-data-mapping.mjs",
    "check-unused-modules": "zx scripts/check-unused-modules.mjs",
    "check-v8-protectors": "node --trace-protector-invalidation packages/core-js",
    "codespell": "npm run zxi time tests/codespell/runner.mjs",
    "compat-bun": "bun tests/compat/bun-runner.js",
    "compat-deno": "deno run --allow-read tests/compat/deno-runner.mjs",
    "compat-hermes": "zx tests/compat/hermes-adapter.mjs",
    "compat-node": "node tests/compat/node-runner",
    "compat-rhino": "zx tests/compat/rhino-adapter.mjs --version=1.7.14",
    "lint": "run-s prepare lint-raw",
    "lint-raw": "run-s test-eslint test-type-definitions bundle-package test-publint",
    "test": "run-s prepare test-raw",
    "test-raw": "run-s lint-raw bundle-tests test-unit test-promises test-observables test-entries test-compat-data test-compat-tools test-builder check",
    "test-eslint": "npm run zxi time tests/eslint/runner.mjs",
    "test-publint": "npm run zxi time tests/publint/runner.mjs",
    "test-unit": "run-s test-unit-karma test-unit-node",
    "test-unit-karma": "npm run zxi time cd tests/unit-karma/runner.mjs",
    "test-unit-node": "npm run zxi time tests/unit-node/runner.mjs",
    "test-unit-bun": "npm run zxi time tests/unit-bun/runner.mjs",
    "test-promises": "npm run zxi time cd tests/promises/runner.mjs",
    "test-observables": "npm run zxi time cd tests/observables/runner.mjs",
    "test-entries": "zx tests/entries/index.mjs",
    "test-builder": "zx tests/builder/builder.mjs",
    "test-compat-data": "zx tests/compat-data/index.mjs",
    "test-compat-tools": "zx tests/compat-tools/index.mjs",
    "test-type-definitions": "npm run zxi time cd tests/type-definitions/runner.mjs",
    "test262": "npm run zxi time cd tests/test262/runner.mjs",
    "refresh": "node scripts/clean-dependencies.mjs && npm install && npm run test-raw",
    "downloads": "zx scripts/downloads-by-versions.mjs",
    "usage": "npm run zxi scripts/usage/usage.mjs",
    "update-version": "npm run zxi scripts/update-version.mjs",
    "publish": "npm publish --workspaces",
    "c": "npm run check",
    "r": "npm run refresh",
    "u": "npm run update-version"
  },
  "devDependencies": {
    "@babel/core": "^7.23.2",
    "@babel/plugin-transform-arrow-functions": "^7.22.5",
    "@babel/plugin-transform-block-scoped-functions": "^7.22.5",
    "@babel/plugin-transform-block-scoping": "^7.23.0",
    "@babel/plugin-transform-classes": "^7.22.15",
    "@babel/plugin-transform-class-properties": "^7.22.5",
    "@babel/plugin-transform-class-static-block": "^7.22.11",
    "@babel/plugin-transform-computed-properties": "^7.22.5",
    "@babel/plugin-transform-destructuring": "^7.23.0",
    "@babel/plugin-transform-exponentiation-operator": "^7.22.5",
    "@babel/plugin-transform-for-of": "^7.22.15",
    "@babel/plugin-transform-literals": "^7.22.5",
    "@babel/plugin-transform-logical-assignment-operators": "^7.22.11",
    "@babel/plugin-transform-member-expression-literals": "^7.22.5",
    "@babel/plugin-transform-modules-commonjs": "^7.23.0",
    "@babel/plugin-transform-new-target": "^7.22.5",
    "@babel/plugin-transform-nullish-coalescing-operator": "^7.22.11",
    "@babel/plugin-transform-numeric-separator": "^7.22.11",
    "@babel/plugin-transform-object-rest-spread": "^7.22.15",
    "@babel/plugin-transform-object-super": "^7.22.5",
    "@babel/plugin-transform-optional-catch-binding": "^7.22.11",
    "@babel/plugin-transform-optional-chaining": "^7.23.0",
    "@babel/plugin-transform-parameters": "^7.22.15",
    "@babel/plugin-transform-private-methods": "^7.22.5",
    "@babel/plugin-transform-private-property-in-object": "^7.22.11",
    "@babel/plugin-transform-property-literals": "^7.22.5",
    "@babel/plugin-transform-reserved-words": "^7.22.5",
    "@babel/plugin-transform-shorthand-properties": "^7.22.5",
    "@babel/plugin-transform-spread": "^7.22.5",
    "@babel/plugin-transform-template-literals": "^7.22.5",
    "@babel/plugin-transform-unicode-regex": "^7.22.5",
    "konan": "^2.1.1",
    "npm-run-all2": "^6.1.1",
    "semver": "^7.5.4",
    "zx": "^7.2.3"
  }
}
